com.rscja.deviceapi.interfaces

## Interface IFingerprintWithMorpho

- All Known Implementing Classes:
    FingerprintWithMorpho, FingerprintWithMorpho_mtk, FingerprintWithMorpho_qcom

      public interface IFingerprintWithMorpho

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 释放指纹模块 free fingerprint module
    `java.lang.String` | `getMorphoDescriptor()`
    `java.lang.String` | `getMorphoPIDSN()` 获取指纹版本 acquire fingerprint version
    `int` | `getMorphoSecurityLevel()`
    `boolean` | `init()` 初始化指纹模块 Initialize fingerprint module
    `boolean` | `isPowerOn()`
    `boolean` | `morphoEraseAllBase()` 删除所有指纹信息 delete all fingerprint infor
    `void` | `setGrabCallBack(FingerprintWithMorpho.GrabCallBack callBack)`
    `void` | `setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)` 设置指纹验证回调接口 setup fingerprint verification call-back contact
    `boolean` | `setMorphoLoadKs(byte[] keybuf)` 设置加密数据秘钥 Setup encypted data key
    `boolean` | `setMorphoSecurityLevel(int level)`
    `void` | `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` 设置获取指纹模版回调接口 Setup call-back contact for acquiring fingerprint template
    `void` | `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` 设置采集指纹回调接口 setup fingerprint acquire call-back contact
    `void` | `setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)` 设置模版比对回调接口 Setup call-back contact for template comparison
    `boolean` | `setTimeOut(int timeOut)` 设置指纹模块超时时间
    `void` | `startEnroll(int id, java.lang.String name)` 开始采集指纹,注意:请调用 Start acquire fingerprint, attention: call out `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` 方法设置接收回调数据 `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` setup receive call-back data
    `void` | `startEnroll(int id, java.lang.String name, java.lang.String imgDirectory, java.lang.String imgName)` 开始采集指纹,注意:请调用 Start acquire fingerprint, attention: call out `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` 方法设置接收回调数据 `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` setup receive call-back data
    `void` | `startGrab(java.lang.String imgDirectory, java.lang.String imgName)`
    `void` | `startIdentification()` 开始验证指纹,注意:请调用 Start verify fingerprint, attention: call-out `setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)` 方法设置接收回调数据 `setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)` setup receive call-back data
    `void` | `startPtCapture(boolean encryptflag)` 开始获取指纹模版,注意:请调用 Start acquire fingerprint template, attention: call out `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` 方法设置接收回调数据 `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` setup receive call-back data
    `void` | `startPtCapturePKComp(boolean encryptflag)` 开始获取指纹模版,注意:请调用 Start acquire fingerprint template, attention: call out `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` 方法设置接收回调数据 `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` setup receive call-back data
    `void` | `startTemplateVerify(byte[] template, int type)` 开始模版验证,注意:请调用 start template verification, attention: call out `setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)` 方法设置接收回调数据 `setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)`method to setup received call-back data.
    `boolean` | `stopEnroll()` Deprecated.
    `boolean` | `stopIdentification()` Deprecated.
    `boolean` | `stopPtCapture()` Deprecated.

- - ### Method Detail

    - #### setGrabCallBack

          void setGrabCallBack(FingerprintWithMorpho.GrabCallBack callBack)

    - #### startGrab

          void startGrab(java.lang.String imgDirectory,
                         java.lang.String imgName)

    - #### setPtCaptureCallBack

          void setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)

      设置获取指纹模版回调接口
      Setup call-back contact for acquiring fingerprint template
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setTemplateVerifyCallBack

          void setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)

      设置模版比对回调接口
      Setup call-back contact for template comparison
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setPtEnrollCallBack

          void setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)

      设置采集指纹回调接口
      setup fingerprint acquire call-back contact
      Parameters:
        `callBack` - 回调方法
        call-back method

    - #### setIdentificationCallBack

          void setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)

      设置指纹验证回调接口
      setup fingerprint verification call-back contact
      Parameters:
        `callBack` - 回调方法
        call-back method

    - #### init

          boolean init()

      初始化指纹模块
      Initialize fingerprint module
      Returns:
        true成功，false失败
        true means success, false means failed

    - #### free

          boolean free()

      释放指纹模块
      free fingerprint module
      Returns:
        true成功，false失败
        true means success,false means failed

    - #### stopPtCapture

          @Deprecated
          boolean stopPtCapture()

      Deprecated.
      `setTimeOut(int timeOut)`

    - #### stopEnroll

          @Deprecated
          boolean stopEnroll()

      Deprecated.
      `setTimeOut(int timeOut)`

    - #### stopIdentification

          @Deprecated
          boolean stopIdentification()

      Deprecated.
      `setTimeOut(int timeOut)`

    - #### startPtCapture

          void startPtCapture(boolean encryptflag)

      开始获取指纹模版,注意:请调用
      Start acquire fingerprint template, attention: call out
      `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` 方法设置接收回调数据
      `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` setup receive call-back data

    - #### startPtCapturePKComp

          void startPtCapturePKComp(boolean encryptflag)

      开始获取指纹模版,注意:请调用
      Start acquire fingerprint template, attention: call out
      `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` 方法设置接收回调数据
      `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` setup receive call-back data

    - #### startTemplateVerify

          void startTemplateVerify(byte[] template,
                                   int type)

      开始模版验证,注意:请调用
      start template verification, attention: call out
      `setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)` 方法设置接收回调数据
      `setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)`method to setup received call-back data.
      Parameters:
        `template` - 模板数据
        `type` - 0:PKComp

    - #### startEnroll

          void startEnroll(int id,
                           java.lang.String name)

      开始采集指纹,注意:请调用
      Start acquire fingerprint, attention: call out
      `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` 方法设置接收回调数据
      `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` setup receive call-back data

    - #### startEnroll

          void startEnroll(int id,
                           java.lang.String name,
                           java.lang.String imgDirectory,
                           java.lang.String imgName)
                    throws java.io.IOException

      开始采集指纹,注意:请调用
      Start acquire fingerprint, attention: call out
      `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` 方法设置接收回调数据
      `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` setup receive call-back data
      Parameters:
        `id` - 指纹id
        `name` - 姓名
        `imgDirectory` - 图片目录
        `imgName` - 图片名称只支持.wsq
      Throws:
        `java.io.IOException`

    - #### startIdentification

          void startIdentification()

      开始验证指纹,注意:请调用
      Start verify fingerprint, attention: call-out
      `setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)` 方法设置接收回调数据
      `setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)` setup receive call-back data

    - #### getMorphoDescriptor

          java.lang.String getMorphoDescriptor()

    - #### setMorphoLoadKs

          boolean setMorphoLoadKs(byte[] keybuf)

      设置加密数据秘钥
      Setup encypted data key
      Parameters:
        `keybuf` - 秘钥
        key
      Returns:
        true 成功，false 失败
        true means success, false means failed

    - #### getMorphoPIDSN

          java.lang.String getMorphoPIDSN()

      获取指纹版本
      acquire fingerprint version
      Returns:
        返回指纹版本信息
        return fingerprint version infor

    - #### morphoEraseAllBase

          boolean morphoEraseAllBase()

      删除所有指纹信息
      delete all fingerprint infor
      Returns:

    - #### getMorphoSecurityLevel

          int getMorphoSecurityLevel()

    - #### setMorphoSecurityLevel

          boolean setMorphoSecurityLevel(int level)

    - #### setTimeOut

          boolean setTimeOut(int timeOut)

      设置指纹模块超时时间
      Returns:
        true:success false:fail

    - #### isPowerOn

          boolean isPowerOn()